IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network17.65.44.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
- Network address
17.65.44.0- Broadcast address
17.65.45.255- First usable
17.65.44.1- Last usable
17.65.45.254- Usable hosts
- 510 (512 less the network and broadcast addresses)
- Subnet mask
255.255.254.0- Wildcard mask
0.0.1.255(Cisco ACLs, OSPF)- Prefix length
- /23
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
11412C00· Integer289483776to289484287 - Reverse DNS zones
44.65.17.in-addr.arpa45.65.17.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00010001.01000001.00101100.00000000 | 17.65.44.0 |
| Subnet mask | 11111111.11111111.11111110.00000000 | 255.255.254.0 |
| Network | 00010001.01000001.00101100.00000000 | 17.65.44.0 |
| Broadcast | 00010001.01000001.00101101.11111111 | 17.65.45.255 |
Split into smaller subnets
17.65.44.0/23 makes 512 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 17.65.44.0/32 | 17.65.44.0 to 17.65.44.0 | — | 1 |
| 2 | 17.65.44.1/32 | 17.65.44.1 to 17.65.44.1 | — | 1 |
| 3 | 17.65.44.2/32 | 17.65.44.2 to 17.65.44.2 | — | 1 |
| 4 | 17.65.44.3/32 | 17.65.44.3 to 17.65.44.3 | — | 1 |
| 5 | 17.65.44.4/32 | 17.65.44.4 to 17.65.44.4 | — | 1 |
| 6 | 17.65.44.5/32 | 17.65.44.5 to 17.65.44.5 | — | 1 |
| 7 | 17.65.44.6/32 | 17.65.44.6 to 17.65.44.6 | — | 1 |
| 8 | 17.65.44.7/32 | 17.65.44.7 to 17.65.44.7 | — | 1 |
| 9 | 17.65.44.8/32 | 17.65.44.8 to 17.65.44.8 | — | 1 |
| 10 | 17.65.44.9/32 | 17.65.44.9 to 17.65.44.9 | — | 1 |
| 11 | 17.65.44.10/32 | 17.65.44.10 to 17.65.44.10 | — | 1 |
| 12 | 17.65.44.11/32 | 17.65.44.11 to 17.65.44.11 | — | 1 |
| 13 | 17.65.44.12/32 | 17.65.44.12 to 17.65.44.12 | — | 1 |
| 14 | 17.65.44.13/32 | 17.65.44.13 to 17.65.44.13 | — | 1 |
| 15 | 17.65.44.14/32 | 17.65.44.14 to 17.65.44.14 | — | 1 |
| 16 | 17.65.44.15/32 | 17.65.44.15 to 17.65.44.15 | — | 1 |
| 17 | 17.65.44.16/32 | 17.65.44.16 to 17.65.44.16 | — | 1 |
| 18 | 17.65.44.17/32 | 17.65.44.17 to 17.65.44.17 | — | 1 |
| 19 | 17.65.44.18/32 | 17.65.44.18 to 17.65.44.18 | — | 1 |
| 20 | 17.65.44.19/32 | 17.65.44.19 to 17.65.44.19 | — | 1 |
| 21 | 17.65.44.20/32 | 17.65.44.20 to 17.65.44.20 | — | 1 |
| 22 | 17.65.44.21/32 | 17.65.44.21 to 17.65.44.21 | — | 1 |
| 23 | 17.65.44.22/32 | 17.65.44.22 to 17.65.44.22 | — | 1 |
| 24 | 17.65.44.23/32 | 17.65.44.23 to 17.65.44.23 | — | 1 |
| 25 | 17.65.44.24/32 | 17.65.44.24 to 17.65.44.24 | — | 1 |
| 26 | 17.65.44.25/32 | 17.65.44.25 to 17.65.44.25 | — | 1 |
| 27 | 17.65.44.26/32 | 17.65.44.26 to 17.65.44.26 | — | 1 |
| 28 | 17.65.44.27/32 | 17.65.44.27 to 17.65.44.27 | — | 1 |
| 29 | 17.65.44.28/32 | 17.65.44.28 to 17.65.44.28 | — | 1 |
| 30 | 17.65.44.29/32 | 17.65.44.29 to 17.65.44.29 | — | 1 |
| 31 | 17.65.44.30/32 | 17.65.44.30 to 17.65.44.30 | — | 1 |
| 32 | 17.65.44.31/32 | 17.65.44.31 to 17.65.44.31 | — | 1 |
| 33 | 17.65.44.32/32 | 17.65.44.32 to 17.65.44.32 | — | 1 |
| 34 | 17.65.44.33/32 | 17.65.44.33 to 17.65.44.33 | — | 1 |
| 35 | 17.65.44.34/32 | 17.65.44.34 to 17.65.44.34 | — | 1 |
| 36 | 17.65.44.35/32 | 17.65.44.35 to 17.65.44.35 | — | 1 |
| 37 | 17.65.44.36/32 | 17.65.44.36 to 17.65.44.36 | — | 1 |
| 38 | 17.65.44.37/32 | 17.65.44.37 to 17.65.44.37 | — | 1 |
| 39 | 17.65.44.38/32 | 17.65.44.38 to 17.65.44.38 | — | 1 |
| 40 | 17.65.44.39/32 | 17.65.44.39 to 17.65.44.39 | — | 1 |
| 41 | 17.65.44.40/32 | 17.65.44.40 to 17.65.44.40 | — | 1 |
| 42 | 17.65.44.41/32 | 17.65.44.41 to 17.65.44.41 | — | 1 |
| 43 | 17.65.44.42/32 | 17.65.44.42 to 17.65.44.42 | — | 1 |
| 44 | 17.65.44.43/32 | 17.65.44.43 to 17.65.44.43 | — | 1 |
| 45 | 17.65.44.44/32 | 17.65.44.44 to 17.65.44.44 | — | 1 |
| 46 | 17.65.44.45/32 | 17.65.44.45 to 17.65.44.45 | — | 1 |
| 47 | 17.65.44.46/32 | 17.65.44.46 to 17.65.44.46 | — | 1 |
| 48 | 17.65.44.47/32 | 17.65.44.47 to 17.65.44.47 | — | 1 |
| 49 | 17.65.44.48/32 | 17.65.44.48 to 17.65.44.48 | — | 1 |
| 50 | 17.65.44.49/32 | 17.65.44.49 to 17.65.44.49 | — | 1 |
| 51 | 17.65.44.50/32 | 17.65.44.50 to 17.65.44.50 | — | 1 |
| 52 | 17.65.44.51/32 | 17.65.44.51 to 17.65.44.51 | — | 1 |
| 53 | 17.65.44.52/32 | 17.65.44.52 to 17.65.44.52 | — | 1 |
| 54 | 17.65.44.53/32 | 17.65.44.53 to 17.65.44.53 | — | 1 |
| 55 | 17.65.44.54/32 | 17.65.44.54 to 17.65.44.54 | — | 1 |
| 56 | 17.65.44.55/32 | 17.65.44.55 to 17.65.44.55 | — | 1 |
| 57 | 17.65.44.56/32 | 17.65.44.56 to 17.65.44.56 | — | 1 |
| 58 | 17.65.44.57/32 | 17.65.44.57 to 17.65.44.57 | — | 1 |
| 59 | 17.65.44.58/32 | 17.65.44.58 to 17.65.44.58 | — | 1 |
| 60 | 17.65.44.59/32 | 17.65.44.59 to 17.65.44.59 | — | 1 |
| 61 | 17.65.44.60/32 | 17.65.44.60 to 17.65.44.60 | — | 1 |
| 62 | 17.65.44.61/32 | 17.65.44.61 to 17.65.44.61 | — | 1 |
| 63 | 17.65.44.62/32 | 17.65.44.62 to 17.65.44.62 | — | 1 |
| 64 | 17.65.44.63/32 | 17.65.44.63 to 17.65.44.63 | — | 1 |
| 65 | 17.65.44.64/32 | 17.65.44.64 to 17.65.44.64 | — | 1 |
| 66 | 17.65.44.65/32 | 17.65.44.65 to 17.65.44.65 | — | 1 |
| 67 | 17.65.44.66/32 | 17.65.44.66 to 17.65.44.66 | — | 1 |
| 68 | 17.65.44.67/32 | 17.65.44.67 to 17.65.44.67 | — | 1 |
| 69 | 17.65.44.68/32 | 17.65.44.68 to 17.65.44.68 | — | 1 |
| 70 | 17.65.44.69/32 | 17.65.44.69 to 17.65.44.69 | — | 1 |
| 71 | 17.65.44.70/32 | 17.65.44.70 to 17.65.44.70 | — | 1 |
| 72 | 17.65.44.71/32 | 17.65.44.71 to 17.65.44.71 | — | 1 |
| 73 | 17.65.44.72/32 | 17.65.44.72 to 17.65.44.72 | — | 1 |
| 74 | 17.65.44.73/32 | 17.65.44.73 to 17.65.44.73 | — | 1 |
| 75 | 17.65.44.74/32 | 17.65.44.74 to 17.65.44.74 | — | 1 |
| 76 | 17.65.44.75/32 | 17.65.44.75 to 17.65.44.75 | — | 1 |
| 77 | 17.65.44.76/32 | 17.65.44.76 to 17.65.44.76 | — | 1 |
| 78 | 17.65.44.77/32 | 17.65.44.77 to 17.65.44.77 | — | 1 |
| 79 | 17.65.44.78/32 | 17.65.44.78 to 17.65.44.78 | — | 1 |
| 80 | 17.65.44.79/32 | 17.65.44.79 to 17.65.44.79 | — | 1 |
| 81 | 17.65.44.80/32 | 17.65.44.80 to 17.65.44.80 | — | 1 |
| 82 | 17.65.44.81/32 | 17.65.44.81 to 17.65.44.81 | — | 1 |
| 83 | 17.65.44.82/32 | 17.65.44.82 to 17.65.44.82 | — | 1 |
| 84 | 17.65.44.83/32 | 17.65.44.83 to 17.65.44.83 | — | 1 |
| 85 | 17.65.44.84/32 | 17.65.44.84 to 17.65.44.84 | — | 1 |
| 86 | 17.65.44.85/32 | 17.65.44.85 to 17.65.44.85 | — | 1 |
| 87 | 17.65.44.86/32 | 17.65.44.86 to 17.65.44.86 | — | 1 |
| 88 | 17.65.44.87/32 | 17.65.44.87 to 17.65.44.87 | — | 1 |
| 89 | 17.65.44.88/32 | 17.65.44.88 to 17.65.44.88 | — | 1 |
| 90 | 17.65.44.89/32 | 17.65.44.89 to 17.65.44.89 | — | 1 |
| 91 | 17.65.44.90/32 | 17.65.44.90 to 17.65.44.90 | — | 1 |
| 92 | 17.65.44.91/32 | 17.65.44.91 to 17.65.44.91 | — | 1 |
| 93 | 17.65.44.92/32 | 17.65.44.92 to 17.65.44.92 | — | 1 |
| 94 | 17.65.44.93/32 | 17.65.44.93 to 17.65.44.93 | — | 1 |
| 95 | 17.65.44.94/32 | 17.65.44.94 to 17.65.44.94 | — | 1 |
| 96 | 17.65.44.95/32 | 17.65.44.95 to 17.65.44.95 | — | 1 |
| 97 | 17.65.44.96/32 | 17.65.44.96 to 17.65.44.96 | — | 1 |
| 98 | 17.65.44.97/32 | 17.65.44.97 to 17.65.44.97 | — | 1 |
| 99 | 17.65.44.98/32 | 17.65.44.98 to 17.65.44.98 | — | 1 |
| 100 | 17.65.44.99/32 | 17.65.44.99 to 17.65.44.99 | — | 1 |
| 101 | 17.65.44.100/32 | 17.65.44.100 to 17.65.44.100 | — | 1 |
| 102 | 17.65.44.101/32 | 17.65.44.101 to 17.65.44.101 | — | 1 |
| 103 | 17.65.44.102/32 | 17.65.44.102 to 17.65.44.102 | — | 1 |
| 104 | 17.65.44.103/32 | 17.65.44.103 to 17.65.44.103 | — | 1 |
| 105 | 17.65.44.104/32 | 17.65.44.104 to 17.65.44.104 | — | 1 |
| 106 | 17.65.44.105/32 | 17.65.44.105 to 17.65.44.105 | — | 1 |
| 107 | 17.65.44.106/32 | 17.65.44.106 to 17.65.44.106 | — | 1 |
| 108 | 17.65.44.107/32 | 17.65.44.107 to 17.65.44.107 | — | 1 |
| 109 | 17.65.44.108/32 | 17.65.44.108 to 17.65.44.108 | — | 1 |
| 110 | 17.65.44.109/32 | 17.65.44.109 to 17.65.44.109 | — | 1 |
| 111 | 17.65.44.110/32 | 17.65.44.110 to 17.65.44.110 | — | 1 |
| 112 | 17.65.44.111/32 | 17.65.44.111 to 17.65.44.111 | — | 1 |
| 113 | 17.65.44.112/32 | 17.65.44.112 to 17.65.44.112 | — | 1 |
| 114 | 17.65.44.113/32 | 17.65.44.113 to 17.65.44.113 | — | 1 |
| 115 | 17.65.44.114/32 | 17.65.44.114 to 17.65.44.114 | — | 1 |
| 116 | 17.65.44.115/32 | 17.65.44.115 to 17.65.44.115 | — | 1 |
| 117 | 17.65.44.116/32 | 17.65.44.116 to 17.65.44.116 | — | 1 |
| 118 | 17.65.44.117/32 | 17.65.44.117 to 17.65.44.117 | — | 1 |
| 119 | 17.65.44.118/32 | 17.65.44.118 to 17.65.44.118 | — | 1 |
| 120 | 17.65.44.119/32 | 17.65.44.119 to 17.65.44.119 | — | 1 |
| 121 | 17.65.44.120/32 | 17.65.44.120 to 17.65.44.120 | — | 1 |
| 122 | 17.65.44.121/32 | 17.65.44.121 to 17.65.44.121 | — | 1 |
| 123 | 17.65.44.122/32 | 17.65.44.122 to 17.65.44.122 | — | 1 |
| 124 | 17.65.44.123/32 | 17.65.44.123 to 17.65.44.123 | — | 1 |
| 125 | 17.65.44.124/32 | 17.65.44.124 to 17.65.44.124 | — | 1 |
| 126 | 17.65.44.125/32 | 17.65.44.125 to 17.65.44.125 | — | 1 |
| 127 | 17.65.44.126/32 | 17.65.44.126 to 17.65.44.126 | — | 1 |
| 128 | 17.65.44.127/32 | 17.65.44.127 to 17.65.44.127 | — | 1 |
| 129 | 17.65.44.128/32 | 17.65.44.128 to 17.65.44.128 | — | 1 |
| 130 | 17.65.44.129/32 | 17.65.44.129 to 17.65.44.129 | — | 1 |
| 131 | 17.65.44.130/32 | 17.65.44.130 to 17.65.44.130 | — | 1 |
| 132 | 17.65.44.131/32 | 17.65.44.131 to 17.65.44.131 | — | 1 |
| 133 | 17.65.44.132/32 | 17.65.44.132 to 17.65.44.132 | — | 1 |
| 134 | 17.65.44.133/32 | 17.65.44.133 to 17.65.44.133 | — | 1 |
| 135 | 17.65.44.134/32 | 17.65.44.134 to 17.65.44.134 | — | 1 |
| 136 | 17.65.44.135/32 | 17.65.44.135 to 17.65.44.135 | — | 1 |
| 137 | 17.65.44.136/32 | 17.65.44.136 to 17.65.44.136 | — | 1 |
| 138 | 17.65.44.137/32 | 17.65.44.137 to 17.65.44.137 | — | 1 |
| 139 | 17.65.44.138/32 | 17.65.44.138 to 17.65.44.138 | — | 1 |
| 140 | 17.65.44.139/32 | 17.65.44.139 to 17.65.44.139 | — | 1 |
| 141 | 17.65.44.140/32 | 17.65.44.140 to 17.65.44.140 | — | 1 |
| 142 | 17.65.44.141/32 | 17.65.44.141 to 17.65.44.141 | — | 1 |
| 143 | 17.65.44.142/32 | 17.65.44.142 to 17.65.44.142 | — | 1 |
| 144 | 17.65.44.143/32 | 17.65.44.143 to 17.65.44.143 | — | 1 |
| 145 | 17.65.44.144/32 | 17.65.44.144 to 17.65.44.144 | — | 1 |
| 146 | 17.65.44.145/32 | 17.65.44.145 to 17.65.44.145 | — | 1 |
| 147 | 17.65.44.146/32 | 17.65.44.146 to 17.65.44.146 | — | 1 |
| 148 | 17.65.44.147/32 | 17.65.44.147 to 17.65.44.147 | — | 1 |
| 149 | 17.65.44.148/32 | 17.65.44.148 to 17.65.44.148 | — | 1 |
| 150 | 17.65.44.149/32 | 17.65.44.149 to 17.65.44.149 | — | 1 |
| 151 | 17.65.44.150/32 | 17.65.44.150 to 17.65.44.150 | — | 1 |
| 152 | 17.65.44.151/32 | 17.65.44.151 to 17.65.44.151 | — | 1 |
| 153 | 17.65.44.152/32 | 17.65.44.152 to 17.65.44.152 | — | 1 |
| 154 | 17.65.44.153/32 | 17.65.44.153 to 17.65.44.153 | — | 1 |
| 155 | 17.65.44.154/32 | 17.65.44.154 to 17.65.44.154 | — | 1 |
| 156 | 17.65.44.155/32 | 17.65.44.155 to 17.65.44.155 | — | 1 |
| 157 | 17.65.44.156/32 | 17.65.44.156 to 17.65.44.156 | — | 1 |
| 158 | 17.65.44.157/32 | 17.65.44.157 to 17.65.44.157 | — | 1 |
| 159 | 17.65.44.158/32 | 17.65.44.158 to 17.65.44.158 | — | 1 |
| 160 | 17.65.44.159/32 | 17.65.44.159 to 17.65.44.159 | — | 1 |
| 161 | 17.65.44.160/32 | 17.65.44.160 to 17.65.44.160 | — | 1 |
| 162 | 17.65.44.161/32 | 17.65.44.161 to 17.65.44.161 | — | 1 |
| 163 | 17.65.44.162/32 | 17.65.44.162 to 17.65.44.162 | — | 1 |
| 164 | 17.65.44.163/32 | 17.65.44.163 to 17.65.44.163 | — | 1 |
| 165 | 17.65.44.164/32 | 17.65.44.164 to 17.65.44.164 | — | 1 |
| 166 | 17.65.44.165/32 | 17.65.44.165 to 17.65.44.165 | — | 1 |
| 167 | 17.65.44.166/32 | 17.65.44.166 to 17.65.44.166 | — | 1 |
| 168 | 17.65.44.167/32 | 17.65.44.167 to 17.65.44.167 | — | 1 |
| 169 | 17.65.44.168/32 | 17.65.44.168 to 17.65.44.168 | — | 1 |
| 170 | 17.65.44.169/32 | 17.65.44.169 to 17.65.44.169 | — | 1 |
| 171 | 17.65.44.170/32 | 17.65.44.170 to 17.65.44.170 | — | 1 |
| 172 | 17.65.44.171/32 | 17.65.44.171 to 17.65.44.171 | — | 1 |
| 173 | 17.65.44.172/32 | 17.65.44.172 to 17.65.44.172 | — | 1 |
| 174 | 17.65.44.173/32 | 17.65.44.173 to 17.65.44.173 | — | 1 |
| 175 | 17.65.44.174/32 | 17.65.44.174 to 17.65.44.174 | — | 1 |
| 176 | 17.65.44.175/32 | 17.65.44.175 to 17.65.44.175 | — | 1 |
| 177 | 17.65.44.176/32 | 17.65.44.176 to 17.65.44.176 | — | 1 |
| 178 | 17.65.44.177/32 | 17.65.44.177 to 17.65.44.177 | — | 1 |
| 179 | 17.65.44.178/32 | 17.65.44.178 to 17.65.44.178 | — | 1 |
| 180 | 17.65.44.179/32 | 17.65.44.179 to 17.65.44.179 | — | 1 |
| 181 | 17.65.44.180/32 | 17.65.44.180 to 17.65.44.180 | — | 1 |
| 182 | 17.65.44.181/32 | 17.65.44.181 to 17.65.44.181 | — | 1 |
| 183 | 17.65.44.182/32 | 17.65.44.182 to 17.65.44.182 | — | 1 |
| 184 | 17.65.44.183/32 | 17.65.44.183 to 17.65.44.183 | — | 1 |
| 185 | 17.65.44.184/32 | 17.65.44.184 to 17.65.44.184 | — | 1 |
| 186 | 17.65.44.185/32 | 17.65.44.185 to 17.65.44.185 | — | 1 |
| 187 | 17.65.44.186/32 | 17.65.44.186 to 17.65.44.186 | — | 1 |
| 188 | 17.65.44.187/32 | 17.65.44.187 to 17.65.44.187 | — | 1 |
| 189 | 17.65.44.188/32 | 17.65.44.188 to 17.65.44.188 | — | 1 |
| 190 | 17.65.44.189/32 | 17.65.44.189 to 17.65.44.189 | — | 1 |
| 191 | 17.65.44.190/32 | 17.65.44.190 to 17.65.44.190 | — | 1 |
| 192 | 17.65.44.191/32 | 17.65.44.191 to 17.65.44.191 | — | 1 |
| 193 | 17.65.44.192/32 | 17.65.44.192 to 17.65.44.192 | — | 1 |
| 194 | 17.65.44.193/32 | 17.65.44.193 to 17.65.44.193 | — | 1 |
| 195 | 17.65.44.194/32 | 17.65.44.194 to 17.65.44.194 | — | 1 |
| 196 | 17.65.44.195/32 | 17.65.44.195 to 17.65.44.195 | — | 1 |
| 197 | 17.65.44.196/32 | 17.65.44.196 to 17.65.44.196 | — | 1 |
| 198 | 17.65.44.197/32 | 17.65.44.197 to 17.65.44.197 | — | 1 |
| 199 | 17.65.44.198/32 | 17.65.44.198 to 17.65.44.198 | — | 1 |
| 200 | 17.65.44.199/32 | 17.65.44.199 to 17.65.44.199 | — | 1 |
| 201 | 17.65.44.200/32 | 17.65.44.200 to 17.65.44.200 | — | 1 |
| 202 | 17.65.44.201/32 | 17.65.44.201 to 17.65.44.201 | — | 1 |
| 203 | 17.65.44.202/32 | 17.65.44.202 to 17.65.44.202 | — | 1 |
| 204 | 17.65.44.203/32 | 17.65.44.203 to 17.65.44.203 | — | 1 |
| 205 | 17.65.44.204/32 | 17.65.44.204 to 17.65.44.204 | — | 1 |
| 206 | 17.65.44.205/32 | 17.65.44.205 to 17.65.44.205 | — | 1 |
| 207 | 17.65.44.206/32 | 17.65.44.206 to 17.65.44.206 | — | 1 |
| 208 | 17.65.44.207/32 | 17.65.44.207 to 17.65.44.207 | — | 1 |
| 209 | 17.65.44.208/32 | 17.65.44.208 to 17.65.44.208 | — | 1 |
| 210 | 17.65.44.209/32 | 17.65.44.209 to 17.65.44.209 | — | 1 |
| 211 | 17.65.44.210/32 | 17.65.44.210 to 17.65.44.210 | — | 1 |
| 212 | 17.65.44.211/32 | 17.65.44.211 to 17.65.44.211 | — | 1 |
| 213 | 17.65.44.212/32 | 17.65.44.212 to 17.65.44.212 | — | 1 |
| 214 | 17.65.44.213/32 | 17.65.44.213 to 17.65.44.213 | — | 1 |
| 215 | 17.65.44.214/32 | 17.65.44.214 to 17.65.44.214 | — | 1 |
| 216 | 17.65.44.215/32 | 17.65.44.215 to 17.65.44.215 | — | 1 |
| 217 | 17.65.44.216/32 | 17.65.44.216 to 17.65.44.216 | — | 1 |
| 218 | 17.65.44.217/32 | 17.65.44.217 to 17.65.44.217 | — | 1 |
| 219 | 17.65.44.218/32 | 17.65.44.218 to 17.65.44.218 | — | 1 |
| 220 | 17.65.44.219/32 | 17.65.44.219 to 17.65.44.219 | — | 1 |
| 221 | 17.65.44.220/32 | 17.65.44.220 to 17.65.44.220 | — | 1 |
| 222 | 17.65.44.221/32 | 17.65.44.221 to 17.65.44.221 | — | 1 |
| 223 | 17.65.44.222/32 | 17.65.44.222 to 17.65.44.222 | — | 1 |
| 224 | 17.65.44.223/32 | 17.65.44.223 to 17.65.44.223 | — | 1 |
| 225 | 17.65.44.224/32 | 17.65.44.224 to 17.65.44.224 | — | 1 |
| 226 | 17.65.44.225/32 | 17.65.44.225 to 17.65.44.225 | — | 1 |
| 227 | 17.65.44.226/32 | 17.65.44.226 to 17.65.44.226 | — | 1 |
| 228 | 17.65.44.227/32 | 17.65.44.227 to 17.65.44.227 | — | 1 |
| 229 | 17.65.44.228/32 | 17.65.44.228 to 17.65.44.228 | — | 1 |
| 230 | 17.65.44.229/32 | 17.65.44.229 to 17.65.44.229 | — | 1 |
| 231 | 17.65.44.230/32 | 17.65.44.230 to 17.65.44.230 | — | 1 |
| 232 | 17.65.44.231/32 | 17.65.44.231 to 17.65.44.231 | — | 1 |
| 233 | 17.65.44.232/32 | 17.65.44.232 to 17.65.44.232 | — | 1 |
| 234 | 17.65.44.233/32 | 17.65.44.233 to 17.65.44.233 | — | 1 |
| 235 | 17.65.44.234/32 | 17.65.44.234 to 17.65.44.234 | — | 1 |
| 236 | 17.65.44.235/32 | 17.65.44.235 to 17.65.44.235 | — | 1 |
| 237 | 17.65.44.236/32 | 17.65.44.236 to 17.65.44.236 | — | 1 |
| 238 | 17.65.44.237/32 | 17.65.44.237 to 17.65.44.237 | — | 1 |
| 239 | 17.65.44.238/32 | 17.65.44.238 to 17.65.44.238 | — | 1 |
| 240 | 17.65.44.239/32 | 17.65.44.239 to 17.65.44.239 | — | 1 |
| 241 | 17.65.44.240/32 | 17.65.44.240 to 17.65.44.240 | — | 1 |
| 242 | 17.65.44.241/32 | 17.65.44.241 to 17.65.44.241 | — | 1 |
| 243 | 17.65.44.242/32 | 17.65.44.242 to 17.65.44.242 | — | 1 |
| 244 | 17.65.44.243/32 | 17.65.44.243 to 17.65.44.243 | — | 1 |
| 245 | 17.65.44.244/32 | 17.65.44.244 to 17.65.44.244 | — | 1 |
| 246 | 17.65.44.245/32 | 17.65.44.245 to 17.65.44.245 | — | 1 |
| 247 | 17.65.44.246/32 | 17.65.44.246 to 17.65.44.246 | — | 1 |
| 248 | 17.65.44.247/32 | 17.65.44.247 to 17.65.44.247 | — | 1 |
| 249 | 17.65.44.248/32 | 17.65.44.248 to 17.65.44.248 | — | 1 |
| 250 | 17.65.44.249/32 | 17.65.44.249 to 17.65.44.249 | — | 1 |
| 251 | 17.65.44.250/32 | 17.65.44.250 to 17.65.44.250 | — | 1 |
| 252 | 17.65.44.251/32 | 17.65.44.251 to 17.65.44.251 | — | 1 |
| 253 | 17.65.44.252/32 | 17.65.44.252 to 17.65.44.252 | — | 1 |
| 254 | 17.65.44.253/32 | 17.65.44.253 to 17.65.44.253 | — | 1 |
| 255 | 17.65.44.254/32 | 17.65.44.254 to 17.65.44.254 | — | 1 |
| 256 | 17.65.44.255/32 | 17.65.44.255 to 17.65.44.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |